Package org.jbpm.ruleflow.core.factory

## Class MilestoneNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.MilestoneNodeBuilder<T>,​T>
  - - org.jbpm.ruleflow.core.factory.MilestoneNodeFactory<T>

- All Implemented Interfaces:
    `org.kie.api.fluent.MilestoneNodeBuilder<T>`, `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.MilestoneNodeBuilder<T>,​T>`

      public class MilestoneNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>
      extends NodeFactory<org.kie.api.fluent.MilestoneNodeBuilder<T>,​T>
      implements org.kie.api.fluent.MilestoneNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MilestoneNodeFactory​(T nodeContainerFactory, NodeContainer nodeContainer, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MilestoneNodeFactory<T>` | `constraint​(String constraint)` |
    `protected MilestoneNode` | `getMilestoneNode()` |
    `MilestoneNodeFactory<T>` | `onEntryAction​(String dialect, String action)` |
    `org.kie.api.fluent.MilestoneNodeBuilder<T>` | `onEntryAction​(org.kie.api.fluent.Dialect dialect, String action)` |
    `MilestoneNodeFactory<T>` | `onExitAction​(String dialect, String action)` |
    `org.kie.api.fluent.MilestoneNodeBuilder<T>` | `onExitAction​(org.kie.api.fluent.Dialect dialect, String action)` |
    `MilestoneNodeFactory<T>` | `timer​(String delay, String period, String dialect, String action)` |
    `org.kie.api.fluent.MilestoneNodeBuilder<T>` | `timer​(String delay, String period, org.kie.api.fluent.Dialect dialect, String action)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### MilestoneNodeFactory

          public MilestoneNodeFactory​(T nodeContainerFactory,
                                      NodeContainer nodeContainer,
                                      long id)

  - ### Method Detail

    - #### getMilestoneNode

          protected MilestoneNode getMilestoneNode()

    - #### onEntryAction

          public MilestoneNodeFactory<T> onEntryAction​(String dialect,
                                                       String action)

    - #### onExitAction

          public MilestoneNodeFactory<T> onExitAction​(String dialect,
                                                      String action)

    - #### constraint

          public MilestoneNodeFactory<T> constraint​(String constraint)

      Specified by:
        `constraint` in interface `org.kie.api.fluent.MilestoneNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### timer

          public MilestoneNodeFactory<T> timer​(String delay,
                                               String period,
                                               String dialect,
                                               String action)

    - #### onEntryAction

          public org.kie.api.fluent.MilestoneNodeBuilder<T> onEntryAction​(org.kie.api.fluent.Dialect dialect,
                                                                          String action)

    - #### onExitAction

          public org.kie.api.fluent.MilestoneNodeBuilder<T> onExitAction​(org.kie.api.fluent.Dialect dialect,
                                                                         String action)

    - #### timer

          public org.kie.api.fluent.MilestoneNodeBuilder<T> timer​(String delay,
                                                                  String period,
                                                                  org.kie.api.fluent.Dialect dialect,
                                                                  String action)